[HSW] intel VGA driver i915 doesn't support new haswell graphics [8086:0a2e]

Bug #1175533 reported by Anthony Wong on 2013-05-02
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
HWE Next
Undecided
Unassigned
Linux
Fix Released
Critical
libdrm (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Raring
Undecided
Unassigned
Saucy
Undecided
Unassigned
linux (Ubuntu)
Undecided
Unassigned
Quantal
Critical
Unassigned
Raring
Undecided
Unassigned
Saucy
Undecided
Unassigned
linux-lts-quantal (Ubuntu)
High
Unassigned
mesa (Ubuntu)
Undecided
Unassigned
Quantal
Undecided
Timo Aaltonen
Raring
Undecided
Unassigned
Saucy
Undecided
Unassigned
mesa-lts-quantal (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
mesa-lts-raring (Ubuntu)
Undecided
Unassigned
xserver-xorg-video-intel (Ubuntu)
Undecided
Unassigned
Quantal
Undecided
Unassigned
Raring
Undecided
Unassigned
Saucy
Undecided
Unassigned
xserver-xorg-video-intel-lts-quantal (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
xserver-xorg-video-intel-lts-raring (Ubuntu)
Undecided
Unassigned

It can't enter to OS with latest kernel 3.9.0-rc7 on intel new haswell graphics [8086:0a2e]
Where can we get the driver for this graphics card?
Thanks!!

Hardware is Core i5-4258Uļ¼ˆ5100, GT3ļ¼‰

That PCI ID is new to me, and I cannot find details about the actual part so I am hesitant to write a real patch. Paulo have you seen that one?

Since very limited people have access to HSW hardware at this point, you should be working through Intel or whatever vendor provided the HW to you for the proper fix. Also, as far as I can tell, the Haswell model you specify doesn't exist in any official Intel documentation. For that reason, I would again recommend you through whichever vendor provided the hardware to you (and close this bug)

With all that disclaimer above... If you'd like to fix it yourself, patches are welcome. In drivers/gpu/drm/i915/i915_drv.c, copy one and modify with your PCI ID.

        INTEL_VGA_DEVICE(0x0D02, &intel_haswell_d_info), /* CRW GT1 desktop */
        INTEL_VGA_DEVICE(0x0D12, &intel_haswell_d_info), /* CRW GT2 desktop */
        INTEL_VGA_DEVICE(0x0D22, &intel_haswell_d_info), /* CRW GT2 desktop */
        INTEL_VGA_DEVICE(0x0D0A, &intel_haswell_d_info), /* CRW GT1 server */
        INTEL_VGA_DEVICE(0x0D1A, &intel_haswell_d_info), /* CRW GT2 server */
        INTEL_VGA_DEVICE(0x0D2A, &intel_haswell_d_info), /* CRW GT2 server */
        INTEL_VGA_DEVICE(0x0D06, &intel_haswell_m_info), /* CRW GT1 mobile */
        INTEL_VGA_DEVICE(0x0D16, &intel_haswell_m_info), /* CRW GT2 mobile */
        INTEL_VGA_DEVICE(0x0D26, &intel_haswell_m_info), /* CRW GT2 mobile */

Keep in mind, just about every graphics component which needs PCI ids will have the same problem.

Let's start with a dmesg and Xorg.0.log to verify the basics.

Created attachment 78322
dmesg and Xorg.0.log

 Atachment dnesg_and_Xorg.0.log is dmesg and Xorg.0.log. In legacy mode, i915 doesn't load and system is started by vesa. In UEFI mode, the system can not be started by vesa.

One for Paulo to figure out what we should do with this pc id.

Created attachment 78407
Add 0ade dmesg and xorg.0.log

Yeah, I'll obtain information on what's special about these IDs.

When we have patches on the mailing list I'll update the bug report.

Thanks,
Paulo

tags: added: blocks-hwcert-enablement
Changed in linux:
importance: Unknown → Critical
status: Unknown → In Progress
Robert Hooker (sarvatt) wrote :

So to fix this, we're looking at a huge amount of packages

1) xserver-xorg-video-intel (fixed by http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/?id=ab576a42650d8a743dd91108f774c220d866de95 )
saucy
raring
quantal

2) xserver-xorg-lts-quantal
precise

3) libdrm (no patch exists yet upstream)
saucy
raring
quantal (not important since libdrm is updated in precise directly)
precise

4) linux (no patch exists yet upstream)
saucy
raring
quantal

5) linux-lts-quantal
precise

6) mesa (no patch exists yet upstream)
saucy
raring
quantal

7) mesa-lts-quantal
precise

I'll start preparing patches.

Robert Hooker (sarvatt) wrote :

I meant xserver-xorg-video-intel-lts-quantal for 2)

Timo Aaltonen (tjaalton) on 2013-05-02
tags: added: raring saucy
Timo Aaltonen (tjaalton) on 2013-05-02
no longer affects: libdrm (Ubuntu Quantal)
no longer affects: linux (Ubuntu Precise)
no longer affects: mesa-lts-quantal (Ubuntu Saucy)
no longer affects: mesa-lts-quantal (Ubuntu Raring)
no longer affects: mesa-lts-quantal (Ubuntu Quantal)
no longer affects: mesa (Ubuntu Precise)
no longer affects: xserver-xorg-video-intel-lts-quantal (Ubuntu Quantal)
no longer affects: xserver-xorg-video-intel-lts-quantal (Ubuntu Raring)
no longer affects: xserver-xorg-video-intel-lts-quantal (Ubuntu Saucy)
no longer affects: xserver-xorg-video-intel (Ubuntu Precise)
Timo Aaltonen (tjaalton) wrote :

hmm, I think linux-lts-quantal is handled more or less automatically once it's fixed on quantal, but left mesa & x-x-v-i-lts-quantal listed since they get copied manually

All relevant parties have now been updated (I believe)

Hi Chris,Could you please tell me how can we get the solution ? Thanks!

Kernel commit 1c98b4871cca4b7ce07e19f92f934d47cf7210b0
Author: Rodrigo Vivi <email address hidden>
Date: Mon May 13 18:12:25 2013 -0300

    drm/i915: Adding more reserved PCI IDs for Haswell.

xf86-video-intel 2.21.7

Looks like mesa/libdrm lack updates.

Changed in linux:
status: In Progress → Fix Released

We have updated xf86-video-intel to newest 2.21.7 and mesa to newest 9.1.3, and have added PCI IDs in kernel 3.9.2, but system is still using llvmpipe(software accelebration) to start.

BTW, we didn't find the patch whose commit number is 1c98b4871cca4b7ce07e19f92f934d47cf7210b0 in kernel.org , could you please provide the kernel link to us?

Hi Chris, could you please provide the drm/i915 added this PCI ID to us? Thanks!

Created attachment 80028
Xorg.0.log

Hi Daniel, we get source from git://people.freedesktop.org/~danvet/drm-intel(2013-05-28), after compiled it to rpm package and installed to system, Xorg can't start. please refer Xorg.0.log. Thanks!

missing libdrm; don't use uxa.

hi chris, I am sorry I can not totally understand what is the mean of you reply "missing libdrm; don't use uxa". We have try to update libdrm to newest 2.4.45. So do you have any suggestion for us to support this graphics while we have no idea about it? Thanks a lot.

Your libdrm_intel has not been patched to recognise these Haswell chips and neither has mesa. In the ddx, sna does not depend upon libdrm_intel and will work regardless.

libdrm master, intel-gpu-tools master, and Mesa from either master or the 9.1 branch now recognize these PCI IDs. I believe that's everything other than libva.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libdrm - 2.4.45-2ubuntu1

---------------
libdrm (2.4.45-2ubuntu1) saucy; urgency=low

  * Merge from debian experimental.
  * Added patches to add/fix Haswell pci-id's (LP: #1175533)

libdrm (2.4.45-2) experimental; urgency=low

  [ Sven Joachim ]
  * Only build-depend on valgrind on architectures where
    valgrind is actually available.
 -- Timo Aaltonen <email address hidden> Thu, 06 Jun 2013 14:10:48 +0300

Changed in libdrm (Ubuntu Saucy):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-intel - 2:2.21.9-0ubuntu1

---------------
xserver-xorg-video-intel (2:2.21.9-0ubuntu1) saucy; urgency=low

  * Merge from unreleased debian git, remaining changes:
    - Use SNA by default.
  * Add support for haswell graphics. (LP: #1175533)
  * Fix crash in xserver when using the unity dash. (LP: #118123)
 -- Maarten Lankhorst <email address hidden> Thu, 06 Jun 2013 15:05:00 +0200

Changed in xserver-xorg-video-intel (Ubuntu Saucy):
status: New → Fix Released
madbiologist (me-again) wrote :

The kernel fix is available in the 3.8.13.2 kernel available http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.8.13.2-raring/

madbiologist (me-again) wrote :

The kernel fix is also in the 3.10-rc4 kernel available at http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.10-rc4-saucy/

The released Saucy kernel version can be monitored at https://launchpad.net/ubuntu/+source/linux

Do you mean this PCI ID(8086:0a2e)has been supported by all of related packages, including libdrm,xf86-video-intel,mesa and kernel? If I update all these packages from master, will this graphics become work? Could you tell me the master address?

I saw that kernel 3.9.5 has add the solution. but We tried it and solution you mentioned in the last comments, but it still can't support this PCI ID. maybe we misunderstand or lost some patches, could you please help to summary the solution again and it's better to you provide details solution and we will add solution and verify it. I hope we can fix this issue as soon as possible due to OEM's schedule is urgent.We need your support.
Thanks!

Hi, Could you please help to summary the solution to us? Thanks!

After update libdrm,mesa in master,xorg-x11-drv-intel and kernel in official, this problem has been solved.Thanks a lot for supporting.

Changed in xserver-xorg-video-intel-lts-quantal (Ubuntu):
status: New → Invalid
Changed in mesa-lts-quantal (Ubuntu):
status: New → Invalid
Timo Aaltonen (tjaalton) on 2013-06-19
Changed in linux (Ubuntu Quantal):
importance: Undecided → Critical

Hello Anthony, or anyone else affected,

Accepted libdrm into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/libdrm/2.4.43-0ubuntu0.0.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in libdrm (Ubuntu Precise):
status: New → Fix Committed
tags: added: verification-needed
Chris Halse Rogers (raof) wrote :

Hello Anthony, or anyone else affected,

Accepted libdrm into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/libdrm/2.4.43-0ubuntu0.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in libdrm (Ubuntu Raring):
status: New → Fix Committed
Chris Halse Rogers (raof) wrote :

Hello Anthony, or anyone else affected,

Accepted libdrm into raring-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/libdrm/2.4.43-0ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Julian Wiedmann (jwiedmann) wrote :

Fixed in 3.9.0-5.10 (as part of 3.9.5) with

commit 881d1d26244ff3f8d6a09979f82ef70545cd8c0a
Author: Rodrigo Vivi <email address hidden>
Date: Mon May 13 18:12:25 2013 -0300

    drm/i915: Adding more reserved PCI IDs for Haswell.

    commit 1c98b4871cca4b7ce07e19f92f934d47cf7210b0 upstream.

    At DDX commit Chris mentioned the tendency we have of finding out more
    PCI IDs only when users report. So Let's add all new reserved Haswell IDs.

    This patch also fix GT3 names. I'no not sending in separated patche because
    names are only in few comments and not in variable names.

Also landed in raring-proposed (3.8.0-26.38).

Changed in linux (Ubuntu Saucy):
status: New → Fix Released
Changed in linux (Ubuntu Raring):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa - 9.1.3-0ubuntu4

---------------
mesa (9.1.3-0ubuntu4) saucy; urgency=low

  * SECURITY UPDATE: denial of service and possible code execution via
    out-of-bands access
    - debian/patches/CVE-2013-1872.patch: check for out-of-bounds reads in
      src/mesa/drivers/dri/i965/brw_fs.cpp,
      src/mesa/drivers/dri/i965/brw_fs.h,
      src/mesa/drivers/dri/i965/brw_fs_visitor.cpp.
    - CVE-2013-1872
  * SECURITY UPDATE: denial of service and possible code execution via
    integer overflows
    - debian/patches/CVE-2013-1993.patch: check lengths in
      src/glx/XF86dri.c.
    - CVE-2013-1993
 -- Marc Deslauriers <email address hidden> Wed, 19 Jun 2013 09:33:40 -0400

Changed in mesa (Ubuntu Saucy):
status: New → Fix Released
Timo Aaltonen (tjaalton) on 2013-06-19
Changed in linux (Ubuntu Quantal):
status: New → In Progress
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed' to 'verification-done'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-quantal
Timo Aaltonen (tjaalton) on 2013-06-24
Changed in linux-lts-quantal (Ubuntu):
importance: Undecided → High
status: New → Fix Committed

Hello Anthony, or anyone else affected,

Accepted xserver-xorg-video-intel into raring-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/xserver-xorg-video-intel/2:2.21.6-0ubuntu4.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in xserver-xorg-video-intel (Ubuntu Raring):
status: New → Fix Committed
Changed in xserver-xorg-video-intel (Ubuntu Quantal):
status: New → Fix Committed
Chris Halse Rogers (raof) wrote :

Hello Anthony, or anyone else affected,

Accepted xserver-xorg-video-intel into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/xserver-xorg-video-intel/2:2.20.9-0ubuntu2.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Marc Deslauriers (mdeslaur) wrote :

The mesa packages for raring and quantal have version collided with packages that were already in the archive. The mesa-lts-quantal package didn't include the security fixes included in the current quantal mesa package.

Marking as verification-failed.

tags: added: verification-failed
removed: verification-needed
Timo Aaltonen (tjaalton) wrote :

the version conflict was resolved, setting back to verification-needed

tags: added: verification-needed
removed: verification-failed
Chris Halse Rogers (raof) wrote :

Hello Anthony, or anyone else affected,

Accepted mesa into raring-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/mesa/9.1.3-0ubuntu0.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in mesa (Ubuntu Raring):
status: New → Fix Committed
Chris Halse Rogers (raof) wrote :

Hello Anthony, or anyone else affected,

Accepted mesa into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/mesa/9.0.3-0ubuntu0.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in mesa (Ubuntu Quantal):
status: New → Fix Committed
Chris Halse Rogers (raof) wrote :

Hello Anthony, or anyone else affected,

Accepted mesa-lts-quantal into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/mesa-lts-quantal/9.0.3-0ubuntu0.3~precise1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in mesa-lts-quantal (Ubuntu Precise):
status: New → Fix Committed
Robert Hooker (sarvatt) wrote :

Verified on 3.5.0-36 in proposed

tags: added: verification-done-quantal
removed: verification-needed-quantal
Adam Conrad (adconrad) wrote :

Hello Anthony, or anyone else affected,

Accepted mesa into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/mesa/9.0.3-0ubuntu0.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

AceLan Kao (acelankao) wrote :

After installed those package from proposed repository, it can enable the chip and run on unity 3D.

linux-image-3.5.0-36-generic libgl1-mesa-glx-lts-quantal libglapi-mesa-lts-quantal libgl1-mesa-dri-lts-quantal libdrm2 xserver-xorg-video-intel-lts-quantal

Timo Aaltonen (tjaalton) on 2013-07-04
Changed in linux (Ubuntu Quantal):
status: In Progress → Fix Committed
Timo Aaltonen (tjaalton) on 2013-07-04
Changed in xserver-xorg-video-intel-lts-quantal (Ubuntu Precise):
status: New → Fix Committed
Changed in xserver-xorg-video-intel-lts-raring (Ubuntu):
status: New → Fix Committed
Timo Aaltonen (tjaalton) on 2013-07-04
Changed in mesa-lts-raring (Ubuntu):
status: New → In Progress
Changed in mesa (Ubuntu Quantal):
assignee: nobody → Timo Aaltonen (tjaalton)
Launchpad Janitor (janitor) wrote :
Download full text (6.2 KiB)

This bug was fixed in the package linux - 3.5.0-36.57

---------------
linux (3.5.0-36.57) quantal; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1192590

  [ Timo Aaltonen ]

  * SAUCE: i915_hsw: revert to old drm_mm function names
    - LP: #1188305
  * SAUCE: i915_hsw: drm/i915: Adding more reserved PCI IDs for Haswell.
    - LP: #1175533

linux (3.5.0-35.56) quantal; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1192206

  [ Dave Chiluk ]

  * SAUCE: ncpfs: fix rmdir returns Device or resource busy
    - LP: #1035226

  [ Stefan Bader ]

  * (d-i) Add dm-snapshot to md-modules
    - LP: #1191726

  [ Timo Aaltonen ]

  * SAUCE: Update i915_hsw to 3.8.13
    - LP: #1188305
  * SAUCE: i915_hsw: Add new definitions
    - LP: #1188305
  * SAUCE: i915_hsw: Revert "drm/i915: use drm_send_vblank_event() helper"
    - LP: #1188305
  * SAUCE: i915_hsw: Revert "drm/i915: set the VIC of the mode on the AVI
    InfoFrame"
    - LP: #1188305

  [ Upstream Kernel Changes ]

  * hwmon: fix error return code in abituguru_probe()
    - LP: #1191905
  * i2c: designware: fix RX FIFO overrun
    - LP: #1191905
  * i2c: designware: always clear interrupts before enabling them
    - LP: #1191905
  * btrfs: don't stop searching after encountering the wrong item
    - LP: #1191905
  * drm/radeon: Fix VRAM size calculation for VRAM >= 4GB
    - LP: #1191905
  * mantis: fix silly crash case
    - LP: #1191905
  * avr32: fix relocation check for signed 18-bit offset
    - LP: #1191905
  * virtio_console: fix uapi header
    - LP: #1191905
  * Input: egalax_ts - ABS_MT_POSITION_Y not reported well
    - LP: #1191905
  * staging: vt6656: use free_netdev instead of kfree
    - LP: #1191905
  * USB: xHCI: override bogus bulk wMaxPacketSize values
    - LP: #1191905
  * USB: UHCI: fix for suspend of virtual HP controller
    - LP: #1191905
  * USB: reset resume quirk needed by a hub
    - LP: #1191905
  * usb: option: Add Telewell TW-LTE 4G
    - LP: #1191905
  * USB: Blacklisted Cinterion's PLxx WWAN Interface
    - LP: #1191905
  * USB: option: add device IDs for Dell 5804 (Novatel E371) WWAN card
    - LP: #1191905
  * USB: ftdi_sio: Add support for Newport CONEX motor drivers
    - LP: #1191905
  * USB: cxacru: potential underflow in cxacru_cm_get_array()
    - LP: #1191905
  * TTY: Fix tty miss restart after we turn off flow-control
    - LP: #1191905
  * cifs: only set ops for inodes in I_NEW state
    - LP: #1191905
  * Kirkwood: Enable PCIe port 1 on QNAP TS-11x/TS-21x
    - LP: #1191905
  * mac80211: fix AP-mode frame matching
    - LP: #1191905
  * ARM: plat-orion: Fix num_resources and id for ge10 and ge11
    - LP: #1191905
  * sunrpc: clarify comments on rpc_make_runnable
    - LP: #1191905
  * SUNRPC: Prevent an rpc_task wakeup race
    - LP: #1191905
  * perf: net_dropmonitor: Fix trace parameter order
    - LP: #1191905
  * perf: net_dropmonitor: Fix symbol-relative addresses
    - LP: #1191905
  * fat: fix possible overflow for fat_clusters
    - LP: #1191905
  * wait: fix false timeouts when using wait_event_timeout()
    - LP: #1191905
  * rapidio/tsi721: fix bug in MSI interrupt handling
    - LP: #1191905
...

Read more...

Changed in linux (Ubuntu Quantal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (6.3 KiB)

This bug was fixed in the package linux-lts-quantal - 3.5.0-36.57~precise1

---------------
linux-lts-quantal (3.5.0-36.57~precise1) precise; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1192801

  [ Timo Aaltonen ]

  * SAUCE: i915_hsw: revert to old drm_mm function names
    - LP: #1188305
  * SAUCE: i915_hsw: drm/i915: Adding more reserved PCI IDs for Haswell.
    - LP: #1175533

linux (3.5.0-35.56) quantal; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1192206

  [ Dave Chiluk ]

  * SAUCE: ncpfs: fix rmdir returns Device or resource busy
    - LP: #1035226

  [ Stefan Bader ]

  * (d-i) Add dm-snapshot to md-modules
    - LP: #1191726

  [ Timo Aaltonen ]

  * SAUCE: Update i915_hsw to 3.8.13
    - LP: #1188305
  * SAUCE: i915_hsw: Add new definitions
    - LP: #1188305
  * SAUCE: i915_hsw: Revert "drm/i915: use drm_send_vblank_event() helper"
    - LP: #1188305
  * SAUCE: i915_hsw: Revert "drm/i915: set the VIC of the mode on the AVI
    InfoFrame"
    - LP: #1188305

  [ Upstream Kernel Changes ]

  * hwmon: fix error return code in abituguru_probe()
    - LP: #1191905
  * i2c: designware: fix RX FIFO overrun
    - LP: #1191905
  * i2c: designware: always clear interrupts before enabling them
    - LP: #1191905
  * btrfs: don't stop searching after encountering the wrong item
    - LP: #1191905
  * drm/radeon: Fix VRAM size calculation for VRAM >= 4GB
    - LP: #1191905
  * mantis: fix silly crash case
    - LP: #1191905
  * avr32: fix relocation check for signed 18-bit offset
    - LP: #1191905
  * virtio_console: fix uapi header
    - LP: #1191905
  * Input: egalax_ts - ABS_MT_POSITION_Y not reported well
    - LP: #1191905
  * staging: vt6656: use free_netdev instead of kfree
    - LP: #1191905
  * USB: xHCI: override bogus bulk wMaxPacketSize values
    - LP: #1191905
  * USB: UHCI: fix for suspend of virtual HP controller
    - LP: #1191905
  * USB: reset resume quirk needed by a hub
    - LP: #1191905
  * usb: option: Add Telewell TW-LTE 4G
    - LP: #1191905
  * USB: Blacklisted Cinterion's PLxx WWAN Interface
    - LP: #1191905
  * USB: option: add device IDs for Dell 5804 (Novatel E371) WWAN card
    - LP: #1191905
  * USB: ftdi_sio: Add support for Newport CONEX motor drivers
    - LP: #1191905
  * USB: cxacru: potential underflow in cxacru_cm_get_array()
    - LP: #1191905
  * TTY: Fix tty miss restart after we turn off flow-control
    - LP: #1191905
  * cifs: only set ops for inodes in I_NEW state
    - LP: #1191905
  * Kirkwood: Enable PCIe port 1 on QNAP TS-11x/TS-21x
    - LP: #1191905
  * mac80211: fix AP-mode frame matching
    - LP: #1191905
  * ARM: plat-orion: Fix num_resources and id for ge10 and ge11
    - LP: #1191905
  * sunrpc: clarify comments on rpc_make_runnable
    - LP: #1191905
  * SUNRPC: Prevent an rpc_task wakeup race
    - LP: #1191905
  * perf: net_dropmonitor: Fix trace parameter order
    - LP: #1191905
  * perf: net_dropmonitor: Fix symbol-relative addresses
    - LP: #1191905
  * fat: fix possible overflow for fat_clusters
    - LP: #1191905
  * wait: fix false timeouts when using wait_event_timeout()
    - LP: #1191905
  * rapidio/tsi721: fix bug in ...

Read more...

Changed in linux-lts-quantal (Ubuntu):
status: Fix Committed → Fix Released
Adam Conrad (adconrad) wrote :

Hello Anthony, or anyone else affected,

Accepted mesa-lts-raring into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/mesa-lts-raring/9.1.4-0ubuntu0.1~precise1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-intel-lts-quantal - 2:2.20.9-0ubuntu2.2~precise1

---------------
xserver-xorg-video-intel-lts-quantal (2:2.20.9-0ubuntu2.2~precise1) precise-proposed; urgency=low

  * Added patches to add/fix Haswell pci-id's (LP: #1175533)

xserver-xorg-video-intel (2:2.20.9-0ubuntu2.2) quantal-proposed; urgency=low

  * Added patches to add/fix Haswell pci-id's (LP: #1175533)
    - add-vlv-ids.diff
    - fix-hsw-crw-ids.diff
    - add-reserved-hsw-ids.diff
    - fix-hsw-gt3-names.diff
    - add-more-reserved-hsw-ids.diff
    - add-known-hsw-names.diff
    - add-more-correct-hsw-names.diff

xserver-xorg-video-intel (2:2.20.9-0ubuntu2.1) quantal-proposed; urgency=low

  * debian/xserver-xorg-video-intel.udev: Drop udev rule for gpu lockup
    apport hook. This hook is now provided by the xdiagnose package.
    (LP: #997470)
 -- Maarten Lankhorst <email address hidden> Wed, 19 Jun 2013 12:00:59 +0200

Changed in xserver-xorg-video-intel-lts-quantal (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa-lts-quantal - 9.0.3-0ubuntu0.4~precise1

---------------
mesa-lts-quantal (9.0.3-0ubuntu0.4~precise1) precise-proposed; urgency=low

  * Added patches to fix a GPU hang with GT3. (LP: #1197316)
 -- Timo Aaltonen <email address hidden> Wed, 03 Jul 2013 13:09:33 +0300

Changed in mesa-lts-quantal (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-intel - 2:2.20.9-0ubuntu2.2

---------------
xserver-xorg-video-intel (2:2.20.9-0ubuntu2.2) quantal-proposed; urgency=low

  * Added patches to add/fix Haswell pci-id's (LP: #1175533)
    - add-vlv-ids.diff
    - fix-hsw-crw-ids.diff
    - add-reserved-hsw-ids.diff
    - fix-hsw-gt3-names.diff
    - add-more-reserved-hsw-ids.diff
    - add-known-hsw-names.diff
    - add-more-correct-hsw-names.diff
 -- Maarten Lankhorst <email address hidden> Wed, 19 Jun 2013 11:12:48 +0200

Changed in xserver-xorg-video-intel (Ubuntu Quantal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa - 9.0.3-0ubuntu0.4

---------------
mesa (9.0.3-0ubuntu0.4) quantal-proposed; urgency=low

  * Added patches to fix a GPU hang with GT3 (LP: #1197316)
    - add-chipset-limits-for-the-haswell-gt3-variant.diff
    - turn-brw-urb-vs-size-and-gs-size-into-local-variables.diff
    - update-urb-partitioning-code-for-haswell-gt3-variant.diff
    - use-a-variable-for-the-push-constant-size-in-kb.diff

mesa (9.0.3-0ubuntu0.3) quantal-proposed; urgency=low

  * Added patches to add/fix Haswell pci-id's (LP: #1175533)
    - fix-hsw-crw-ids.diff
    - add-vlv-ids.diff
    - fix-hsw-gt3-names.diff
    - fix-missing-gt3-id.diff
    - add-more-reserved-hsw-ids.diff
 -- Timo Aaltonen <email address hidden> Wed, 03 Jul 2013 11:03:21 +0300

Changed in mesa (Ubuntu Quantal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libdrm - 2.4.43-0ubuntu0.0.2

---------------
libdrm (2.4.43-0ubuntu0.0.2) precise-proposed; urgency=low

  * Added patches to add/fix Haswell pci-id's (LP: #1175533)
    - fix-hsw-crw-ids.diff
    - fix-hsw-gt3-names.diff
    - add-more-reserved-hsw-ids.diff
 -- Maarten Lankhorst <email address hidden> Wed, 19 Jun 2013 10:24:58 +0200

Changed in libdrm (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libdrm - 2.4.43-0ubuntu1.1

---------------
libdrm (2.4.43-0ubuntu1.1) raring-proposed; urgency=low

  * Added patches to add/fix Haswell pci-id's (LP: #1175533)
    - fix-hsw-crw-ids.diff
    - fix-hsw-gt3-names.diff
    - add-more-reserved-hsw-ids.diff
 -- Maarten Lankhorst <email address hidden> Wed, 19 Jun 2013 10:24:58 +0200

Changed in libdrm (Ubuntu Raring):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu Raring):
status: Fix Committed → Fix Released
Adam Conrad (adconrad) on 2013-07-22
Changed in mesa-lts-raring (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-intel-lts-raring - 2:2.21.6-0ubuntu4.1~precise1

---------------
xserver-xorg-video-intel-lts-raring (2:2.21.6-0ubuntu4.1~precise1) precise-proposed; urgency=low

  * Added patches to add/fix Haswell pci-id's (LP: #1175533)

xserver-xorg-video-intel (2:2.21.6-0ubuntu4.1) raring-proposed; urgency=low

  * Added patches to add/fix Haswell pci-id's (LP: #1175533)
    - add-reserved-hsw-ids.diff
    - fix-hsw-gt3-names.diff
    - add-more-reserved-hsw-ids.diff
    - add-known-hsw-names.diff
    - add-more-correct-hsw-names.diff

xserver-xorg-video-intel-lts-raring (2:2.21.6-0ubuntu4~precise1) precise-proposed; urgency=low

  * Initial lts-raring xserver stack upload, i386 and amd64 only. (LP:
    #1177679)
 -- Maarten Lankhorst <email address hidden> Wed, 19 Jun 2013 11:52:27 +0200

Changed in xserver-xorg-video-intel-lts-raring (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (5.7 KiB)

This bug was fixed in the package mesa-lts-raring - 9.1.4-0ubuntu0.1~precise1

---------------
mesa-lts-raring (9.1.4-0ubuntu0.1~precise1) precise-proposed; urgency=low

  * New upstream bugfix release 9.1.4. (LP: #1197363)
    - fix a GPU hang with GT3. (LP: #1197316)
  * revert-a64c1eb9b110.diff: updated.

mesa (9.1.4-0ubuntu0.1) raring-proposed; urgency=low

  * New upstream bugfix release 9.1.4. (LP: #1197363)
    - fix a GPU hang with GT3. (LP: #1197316)
  * Dropped patches that are included in this release
  * revert-a64c1eb9b110.diff: updated.

mesa (9.1.3-0ubuntu0.4) raring-proposed; urgency=low

  * Added patches to add/fix Haswell pci-id's (LP: #1175533)
    - add-vlv-ids.diff
    - fix-hsw-gt3-names.diff
    - fix-missing-gt3-id.diff
    - add-more-reserved-hsw-ids.diff

mesa (9.1.3-0ubuntu0.3) raring-security; urgency=low

  * SECURITY UPDATE: denial of service and possible code execution via
    out-of-bands access
    - debian/patches/CVE-2013-1872.patch: check for out-of-bounds reads in
      src/mesa/drivers/dri/i965/brw_fs.cpp,
      src/mesa/drivers/dri/i965/brw_fs.h,
      src/mesa/drivers/dri/i965/brw_fs_visitor.cpp.
    - CVE-2013-1872
  * SECURITY UPDATE: denial of service and possible code execution via
    integer overflows
    - debian/patches/CVE-2013-1993.patch: check lengths in
      src/glx/XF86dri.c.
    - CVE-2013-1993

mesa (9.1.3-0ubuntu0.2) raring-proposed; urgency=low

  * Add back a patch that reverts a change which made blur slow on i915,
    add two other reverts so the big one applies cleanly. (LP: #1187500)

mesa (9.1.3-0ubuntu0.1) raring-proposed; urgency=low

  * New upstream micro-release. (LP: #1183269)
  * Drop revert-a64c1eb9b110.diff; it no longer applies.
    - The patch reverted the regression where the unity dash appeared
      very slowly, but should no longer be needed with the upstream fixes.

mesa (9.1.3-0ubuntu2) saucy; urgency=low

  * Add back a patch that reverts a change which made blur slow on i915,
    add two other reverts so the big one applies cleanly. (LP: #1187500)

mesa (9.1.3-0ubuntu1) saucy; urgency=low

  [ Robert Hooker ]
  * New upstream bug-fix release.
  * Drop upstream patches:
     - 0001-nv50-fix-3D-render-target-setup.patch
     - 0002-nv50-nvc0-disable-DEPTH_RANGE_NEAR-FAR-clipping-duri.patch
     - 0003-nv50-nvc0-fix-3d-blits-restore-viewport-after-blit.patch
     - 0004-nvc0-fix-for-2d-engine-R-source-formats-writing-RRR1.patch
     - 100_no_abi_tag.patch
     - 119-libllvmradeon-link.patch
     - vbo-fix-crash.diff
  * debian/patches/117-static-gallium.patch: Refresh for minor change
    in 9.1.2

mesa (9.1.3-1) UNRELEASED; urgency=low

  * New upstream release.
    - Set close on exec flag when opening dri devices (Closes: #651370).
    - Don't emit a .note.ABI-tag section anymore (Closes: #628758).

  [ Timo Aaltonen ]
  * Refresh patches
    - disable 05_kfreebsd-egl-x11.diff for now.
  * control: Added libtool to build-depends.
  * rules: Drop special handling of config.{guess,sub}, not needed anymore.
  * rules, libosmesa*: Build only the 32bit OSMesa library.
  * control: Bump libdrm build-dep to 2.4.39.
  * control: Bump libwayland-dev build-dep to 0.95.
...

Read more...

Changed in mesa-lts-raring (Ubuntu):
status: Fix Committed → Fix Released
Robert Hooker (sarvatt) wrote :

Verified on mesa 9.1.4-0ubuntu0.1 and xserver-xorg-video-intel 2:2.21.6-0ubuntu4.1 in raring on a 8086:0D16 device that was also fixed by this set of SRUs to not be a 8086:0D06 device (note, its already accepted into lts-raring on precise before the raring SRU was which is kind of strange..)

Robert Hooker (sarvatt) on 2013-08-01
tags: added: verification-done-raring
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-intel - 2:2.21.6-0ubuntu4.1

---------------
xserver-xorg-video-intel (2:2.21.6-0ubuntu4.1) raring-proposed; urgency=low

  * Added patches to add/fix Haswell pci-id's (LP: #1175533)
    - add-reserved-hsw-ids.diff
    - fix-hsw-gt3-names.diff
    - add-more-reserved-hsw-ids.diff
    - add-known-hsw-names.diff
    - add-more-correct-hsw-names.diff
 -- Maarten Lankhorst <email address hidden> Wed, 19 Jun 2013 11:12:48 +0200

Changed in xserver-xorg-video-intel (Ubuntu Raring):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa - 9.1.4-0ubuntu0.1

---------------
mesa (9.1.4-0ubuntu0.1) raring-proposed; urgency=low

  * New upstream bugfix release 9.1.4. (LP: #1197363)
    - fix a GPU hang with GT3. (LP: #1197316)
  * Dropped patches that are included in this release
  * revert-a64c1eb9b110.diff: updated.
 -- Timo Aaltonen <email address hidden> Wed, 03 Jul 2013 13:54:33 +0300

Changed in mesa (Ubuntu Raring):
status: Fix Committed → Fix Released
Changed in hwe-next:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.